Package com.enonic.xp.xml

## Class DomHelper

- java.lang.Object
- - com.enonic.xp.xml.DomHelper

-     @PublicApi
      public final class DomHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Element` | `getChildElementByTagName​(Element elem, String name)` |
    `static List<Element>` | `getChildElements​(Element elem)` |
    `static List<Element>` | `getChildElementsByTagName​(Element elem, String... names)` |
    `static String` | `getChildElementValueByTagName​(Element elem, String name)` |
    `static List<Node>` | `getChildNodes​(Node node)` |
    `static String` | `getTextValue​(Element elem)` |
    `static Document` | `newDocument()` |
    `static DocumentBuilder` | `newDocumentBuilder()` |
    `static Document` | `parse​(InputStream in)` |
    `static Document` | `parse​(Reader in)` |
    `static Document` | `parse​(String xml)` |
    `static String` | `serialize​(Node node)` |
    `static String` | `serializeBody​(Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomHelper

          public DomHelper()

  - ### Method Detail

    - #### newDocumentBuilder

          public static DocumentBuilder newDocumentBuilder()

    - #### newDocument

          public static Document newDocument()

    - #### parse

          public static Document parse​(String xml)

    - #### parse

          public static Document parse​(InputStream in)

    - #### parse

          public static Document parse​(Reader in)

    - #### serialize

          public static String serialize​(Node node)

    - #### serializeBody

          public static String serializeBody​(Node node)

    - #### getTextValue

          public static String getTextValue​(Element elem)

    - #### getChildNodes

          public static List<Node> getChildNodes​(Node node)

    - #### getChildElements

          public static List<Element> getChildElements​(Element elem)

    - #### getChildElementsByTagName

          public static List<Element> getChildElementsByTagName​(Element elem,
                                                                String... names)

    - #### getChildElementByTagName

          public static Element getChildElementByTagName​(Element elem,
                                                         String name)

    - #### getChildElementValueByTagName

          public static String getChildElementValueByTagName​(Element elem,
                                                             String name)